> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/operative-containers.md).

# Operative Containers

Endpoints to manipulate operative containers.

## List operative container types

> Returns all operativeContainerTypes that match the given query parameters.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative containers"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerTypesResponse":{"properties":{"operativeContainerTypes":{"items":{"$ref":"#/components/schemas/OperativeContainerType"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"title":"OperativeContainerTypesResponse","type":"object","description":"OperativeContainerTypesResponse"},"OperativeContainerType":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"minItems":1,"type":"array"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"name":{"deprecated":true,"description":"Deprecated: use nameLocalized instead","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["version","id","status","nameLocalized","allowedOperativeTypes"],"title":"OperativeContainerType","type":"object","description":"OperativeContainerType"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"properties":{"identifiers":{"items":{"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"searchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string"}},"required":["identifiers"],"title":"ScannableIdentifier","type":"object","description":"ScannableIdentifier"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes":{"get":{"deprecated":false,"description":"Returns all operativeContainerTypes that match the given query parameters.","operationId":"getOperativeContainerTypes","parameters":[{"description":"entity to start after","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"OperativeType you want to filter by","in":"query","name":"operativeType","required":false,"schema":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"}},{"description":"ScannableIdentifier you want to filter by","in":"query","name":"scannableIdentifier","required":false,"schema":{"type":"string"}},{"description":"Provide the localized names and descriptions for the operativeContainerTypes. If not provided the default locale is used. For example de_DE.","in":"query","name":"locale","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerTypesResponse"}}},"description":"Found operativeContainerTypes matching the given parameters"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"List operative container types","tags":["Operative containers"]}}}}
```

## Create operative container type

> Creates a new operativeContainerType.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative containers"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerTypeForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes.","type":"object"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"icon":{"$ref":"#/components/schemas/NamedFile"},"iconUrl":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["nameLocalized","allowedOperativeTypes"],"title":"OperativeContainerTypeForCreation","type":"object","description":"OperativeContainerTypeForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"ScannableIdentifier":{"properties":{"identifiers":{"items":{"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"searchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string"}},"required":["identifiers"],"title":"ScannableIdentifier","type":"object","description":"ScannableIdentifier"},"OperativeContainerType":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"minItems":1,"type":"array"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"name":{"deprecated":true,"description":"Deprecated: use nameLocalized instead","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["version","id","status","nameLocalized","allowedOperativeTypes"],"title":"OperativeContainerType","type":"object","description":"OperativeContainerType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes":{"post":{"deprecated":false,"description":"Creates a new operativeContainerType.","operationId":"createOperativeContainerType","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerTypeForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully created resource."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create operative container type","tags":["Operative containers"]}}}}
```

## Get operative container type

> Returns the operativeContainerType with the given ID.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative containers"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerType":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"minItems":1,"type":"array"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"name":{"deprecated":true,"description":"Deprecated: use nameLocalized instead","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["version","id","status","nameLocalized","allowedOperativeTypes"],"title":"OperativeContainerType","type":"object","description":"OperativeContainerType"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"properties":{"identifiers":{"items":{"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"searchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string"}},"required":["identifiers"],"title":"ScannableIdentifier","type":"object","description":"ScannableIdentifier"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes/{operativeContainerTypeId}":{"get":{"deprecated":false,"description":"Returns the operativeContainerType with the given ID.","operationId":"getOperativeContainerTypeById","parameters":[{"in":"path","name":"operativeContainerTypeId","required":true,"schema":{"type":"string"}},{"description":"Provide the localized names and descriptions for the operativeContainerTypes. If not provided the default locale is used. For example de_DE.","in":"query","name":"locale","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Found operativeContainerType by given ID"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get operative container type","tags":["Operative containers"]}}}}
```

## Update operative container type

> Updates the operativeContainerType with the given ID.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative containers"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeContainerTypeForUpdate":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerTypes. These attributes cannot be used within fulfillment processes.","type":"object"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"version":{"minimum":1,"type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["version"],"title":"OperativeContainerTypeForUpdate","type":"object","description":"OperativeContainerTypeForUpdate"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"properties":{"identifiers":{"items":{"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"searchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string"}},"required":["identifiers"],"title":"ScannableIdentifier","type":"object","description":"ScannableIdentifier"},"OperativeContainerType":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"minItems":1,"type":"array"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"name":{"deprecated":true,"description":"Deprecated: use nameLocalized instead","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["version","id","status","nameLocalized","allowedOperativeTypes"],"title":"OperativeContainerType","type":"object","description":"OperativeContainerType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes/{operativeContainerTypeId}":{"patch":{"deprecated":false,"description":"Updates the operativeContainerType with the given ID.","operationId":"updateOperativeContainerTypeById","parameters":[{"in":"path","name":"operativeContainerTypeId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerTypeForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully updated operativeContainerType by given ID"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update operative container type","tags":["Operative containers"]}}}}
```

## Update operative container type icon

> Uploads or replaces the icon for the given operative container type.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate operative containers.","name":"Operative containers"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"OperativeContainerType":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"allowedOperativeTypes":{"items":{"enum":["PICKING","PACKING_SOURCE","PACKING_TARGET","HANDOVER","SERVICE"],"type":"string"},"minItems":1,"type":"array"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the operativeContainerType. These attributes cannot be used within fulfillment processes.","type":"object"},"description":{"type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"type":"string"},"id":{"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"name":{"deprecated":true,"description":"Deprecated: use nameLocalized instead","type":"string"},"priority":{"description":"This value gives the priority of the respective operativeContainerType. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10.","format":"int32","maximum":10000,"minimum":1,"type":"integer"},"scannableIdentifiers":{"items":{"$ref":"#/components/schemas/ScannableIdentifier"},"maxItems":1,"type":"array"},"status":{"enum":["INACTIVE","ACTIVE"],"type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"},"weightLimitInG":{"description":"Maximal weight in gramm(gr) the container can be loaded with.","minimum":1,"type":"number"}},"required":["version","id","status","nameLocalized","allowedOperativeTypes"],"title":"OperativeContainerType","type":"object","description":"OperativeContainerType"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ScannableIdentifier":{"properties":{"identifiers":{"items":{"type":"string"},"maxItems":10,"minItems":1,"type":"array"},"searchType":{"enum":["PREFIX","SUFFIX","CONTAINS"],"type":"string"}},"required":["identifiers"],"title":"ScannableIdentifier","type":"object","description":"ScannableIdentifier"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operativecontainertypes/{operativeContainerTypeId}/icon":{"put":{"deprecated":false,"description":"Uploads or replaces the icon for the given operative container type.","operationId":"uploadOperativeContainerTypeIcon","parameters":[{"in":"path","name":"operativeContainerTypeId","required":true,"schema":{"type":"string"}},{"in":"query","name":"locale","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamedFile"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully updated operative container type icon."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeContainerType"}}},"description":"Successfully created operative container type icon."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update operative container type icon","tags":["Operative containers"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/operative-containers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
